Subject: [bug#30037] [PATCH] gnu: whois: Remove bundled mkpasswd.

From: ng0 <[email-masked]>
Date: Wed, 10 Jan 2018 14:46:55 +0000

Marius Bakke transcribed 1.3K bytes:
> Tobias Geerinckx-Rice <[email-masked]> writes:
> 
> > Ludo',
> >
> > Ludovic Courtès wrote on 09/01/18 at 14:36:
> >> LGTM, thanks!
> >
> > Thanks. However, I'm now convinced that this program is confusingly
> > named but belongs where it is, and we should simply remove the TODO
> > comment. It's not ‘bundled’ in the sense of the word we use.
> >
> > If no-one objects I'll do just that & close this bug.
> 
> LGTM!
> 
> I was just about to write that I actually *use* this software, and
> suggest doing the same thing.  It's a convenient tool for generating a
> password string suitable for /etc/shadow.  And it's tiny, so separating
> it out seems "overkill".

Which is exactly what we concluded in the old thread about this, which
I suggested to read. I just should've removed the TODO note a long time
ago.
I still find mkpasswd feels like an historical accident bundling in favor
of some OS that relies on it (iirc the old thread or authors replies),
but doesn't really matter. Bikeshedding on the highest level of bikesheds
I guess.
-- 
GnuPG: A88C8ADD129828D7EAC02E52E22F9BBFEE348588
GnuPG: https://c.n0.is/ng0_pubkeys/tree/keys
  WWW: https://n0.is/a/  ::  https://ea.n0.is